import type { AstroIntegration } from 'astro'
import type { PluginOption } from 'vite'
import tailwindcss from 'tailwindcss';

interface Config {
  css?: string
}

export default function wfComponentsIntegration(
  config: Partial<Config> | undefined
): AstroIntegration {
  return {
    name: '/integration',
    hooks: {
      'astro:config:setup': async ({
        updateConfig,
        injectScript,
      }) => {
        updateConfig({
          vite: {
            plugins: [tailwindcss() as PluginOption]
          }
        })
        // ----------------------
        // Inject css
        // ----------------------
        config?.css && injectScript('page-ssr', `import "${config?.css}";`)
      },
    },
  }
}